plist-cil 1.13.0.0 1.14.0.0 System.Object

A BinaryPropertyListWriter is a helper class for writing out binary property list files.

It contains an output stream and various structures for keeping track of which NSObjects have already been serialized, and where they were put in the file.

To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Int32 0 Binary property list version 0.0 To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Int32 10 Binary property list version 1.0 To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Int32 15 Binary property list version 1.5 To be added.
- Field
  1.13.0.0
  1.14.0.0
  System.Int32 20 Binary property list version 2.0 To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Void `` `` the file to write to the source of the data to write to the file Writes a binary plist file with the given object as the root. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Void `` `` the stream to write to the source of the data to write to the stream Writes a binary plist serialization of the given object as the root. To be added.
- Method
  1.13.0.0
  1.14.0.0
  System.Byte[] `` The root object of the property list Writes a binary plist serialization of the given object as the root into a byte array. The byte array containing the serialized property list To be added.